build against I20190801-1800 for 2019-09 M2
diff --git a/features/org.eclipse.objectteams.otdt.core.patch/feature.xml b/features/org.eclipse.objectteams.otdt.core.patch/feature.xml
index 19edd95..cce4936 100644
--- a/features/org.eclipse.objectteams.otdt.core.patch/feature.xml
+++ b/features/org.eclipse.objectteams.otdt.core.patch/feature.xml
@@ -59,7 +59,7 @@
    </url>
 
    <requires>
-      <import feature="org.eclipse.jdt" version="3.18.100.v20190711-1805" patch="true"/>
+      <import feature="org.eclipse.jdt" version="3.18.100.v20190801-1800" patch="true"/>
    </requires>
 
    <plugin
diff --git a/releng/build-scripts/bin/extractVersions b/releng/build-scripts/bin/extractVersions
index ff05d62..b34f506 100755
--- a/releng/build-scripts/bin/extractVersions
+++ b/releng/build-scripts/bin/extractVersions
@@ -33,8 +33,8 @@
 			;;
 		org.eclipse.jdt*)
 			JDT_VERSION_ALL=`echo $VERSION|grep jdt | sed -e 's/org.eclipse.jdt_\(.*\)/\1/'`
-			JDT_VERSIONA=`echo ${JDT_VERSION_ALL}| sed -e 's/\([0-9]\.[0-9]*\.[0-9]\.[^-]*-\)[0-9]\{4\}.*/\1/'`
-			JDT_VERSIONB=`echo ${JDT_VERSION_ALL}| sed -e   's/[0-9]\.[0-9]*\.[0-9]\.[^-]*-\([0-9]\{4\}\).*/\1/'`
+			JDT_VERSIONA=`echo ${JDT_VERSION_ALL}| sed -e 's/\([0-9]\+\.[0-9]\+\.[0-9]\+\.[^-]*-\)[0-9]\{4\}.*/\1/'`
+			JDT_VERSIONB=`echo ${JDT_VERSION_ALL}| sed -e   's/[0-9]\+\.[0-9]\+\.[0-9]\+\.[^-]*-\([0-9]\{4\}\).*/\1/'`
 			JDT_VERSIONB_NEXT=`expr $JDT_VERSIONB + 1`
 			;;
 		org.eclipse.equinox.launcher*)
diff --git a/releng/build-scripts/build/otdt_prerequisites-hipp.sh b/releng/build-scripts/build/otdt_prerequisites-hipp.sh
index 32e7851..0568fe3 100644
--- a/releng/build-scripts/build/otdt_prerequisites-hipp.sh
+++ b/releng/build-scripts/build/otdt_prerequisites-hipp.sh
@@ -56,11 +56,11 @@
 
 # VERSIONS:
 # Eclipse SDK build identifier (used for substitution in otdt.map.in etc.):
-SDK_QUALIFIER=${SDK_QUALIFIER:="I20190711-1805"}
+SDK_QUALIFIER=${SDK_QUALIFIER:="I20190801-1800"}
 
 # used only locally (components of the ECLIPSE_SDK_TGZ path):
-EVERSION=${EVERSION:="4.13M1"}
-DROP=${DROPS4}/${DROP:="S-4.13M1-201907111805"}
+EVERSION=${EVERSION:="I20190801-1800"}
+DROP=${DROPS4}/${DROP:="I20190801-1800"}
 
 # EXPORT: archive file of the base eclipse SDK build:
 ECLIPSE_SDK_TGZ=${DROP}/eclipse-SDK-${EVERSION}-linux-gtk-${ARCH}.tar.gz
diff --git a/releng/build-scripts/build/run.properties b/releng/build-scripts/build/run.properties
index e2d4de3..c2ee875 100644
--- a/releng/build-scripts/build/run.properties
+++ b/releng/build-scripts/build/run.properties
@@ -20,11 +20,11 @@
 # ------------- insert current versions here ---------------
 # Details of the Eclipse SDK built upon:
 run.eclipseScriptDir=plugins/org.eclipse.pde.build_3.10.500.v20190620-0530/scripts
-org.eclipse.equinox.launcher_jar=org.eclipse.equinox.launcher_1.5.500.v20190620-1700.jar
+org.eclipse.equinox.launcher_jar=org.eclipse.equinox.launcher_1.5.500.v20190715-1310.jar
 
 # for patching our patch feature to match this version with any suffix:
-jdt.feature.version=3.18.100.v20190711-18053.18.100.v20190711-1805
-jdt.feature.version.next=3.18.100.v20190711-1805
+jdt.feature.version=3.18.100.v20190801-1800
+jdt.feature.version.next=3.18.100.v20190801-1801
 
 # jdt.core fragments for extracting pre-built classes and properties:
 jdt.compiler.apt=org.eclipse.jdt.compiler.apt_1.3.700.v20190704-1731.jar